FileControllerDelete Method (BatchDeleteOptions, NullableGuid) |
Note: This API is now obsolete.
POST /File/
OBSOLETE - Use POST /File/Delete instead.
Deletes the files or folders with the specified IDs.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("Index")]
[ObsoleteAttribute("Use /File/Delete to delete files or folders with the specified IDs.")]
public IActionResult Delete(
[FromBodyAttribute] BatchDeleteOptions options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("Index")>
<ObsoleteAttribute("Use /File/Delete to delete files or folders with the specified IDs.")>
Public Function Delete (
<FromBodyAttribute> options As BatchDeleteOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"Index")]
[ObsoleteAttribute(L"Use /File/Delete to delete files or folders with the specified IDs.")]
IActionResult^ Delete(
[FromBodyAttribute] BatchDeleteOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("Index")>]
[<ObsoleteAttribute("Use /File/Delete to delete files or folders with the specified IDs.")>]
member Delete :
[<FromBodyAttribute>] options : BatchDeleteOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsBatchDeleteOptions
Options affecting the behavior of the operation. - sessionId (Optional)
- Type: SystemNullableGuid
ID of the current session.
Return Value
Type:
IActionResult A
DeleteResultData object or a reason for operation failure.
See Also